MAXScript Extensions > MAXScript Extensions for character studio > Crowd MAXScript Extensions > Crowd Behaviors >

# Path_Follow_Behavior : MAXObject

    Path_Follow_Behavior - superclass: ReferenceTarget; super-superclass:MAXWrapper - 14:0 - classID: #(1057384567, 1223371753)

| Character Studio - Quick Navigation

Constructor

    Path_Follow_Behavior ... PathFollowBehavior ...

Properties

    <path_follow_behavior>.name String Default: "Path Follow"

    <path_follow_behavior>.path Node Default: Undefined

A path object. Suitable path objects include splines and NURBS curves. If a path object contains more than one spline or curve, character studio uses the lowest-numbered element (usually the earliest created one).

    <path_follow_behavior>.radius Float Default: 20.0 Alias: Radius_about_Path -- animatable

The radial distance from the path within which the delegate stays while traversing the path. Range=0.0 to 99,999.0.

    <path_follow_behavior>.awareness Float Default: 0.5 -- animatable

Specifies how "intelligent" the delegate is while traversing this path. A high Awareness setting means that it takes into account the curve of the path while moving and will try to anticipate changes. A low value for Awareness, on the other hand, means that the delegate notices the path only when leaving it. Range=0.0 to 1.0.

Note

You can randomize awareness behavior with the Deviation and Seed settings.

    <path_follow_behavior>.awareDeviation Float Default: 0.0 Alias: AwarenessDeviation -- animatable

Specifies the maximum amount by which Awareness should vary. character studio takes a random number between the negative and positive values of the Deviation setting, multiplies it by the Awareness setting, and adds the result to Awareness. Range=0.0 to 1.0.

Note

You can vary behaviors among different Path Follow behaviors that use the same Awareness and Deviation settings by changing the Seed value.

    <path_follow_behavior>.start Integer Default: 0 -- animatable

0 - Path Beginning

1 - Path End

This setting determines where on the path the delegate begins to follow the path.

    <path_follow_behavior>.direction Integer Default: 0 -- animatable

0 - Forwards: The delegate moves along path vertices in ascending order.

1 - Backwards: The delegate moves along path vertices in descending order.

    <path_follow_behavior>.endAction Integer Default: 0 -- animatable

0 - Loop: The delegate loops around the path, even if it isn't closed. If Beginning of Path or End of Path is chosen, it returns to the path's start or end point each time it finishes traversing the path. If Nearest Point is chosen, it returns to an arbitrary point determined by its position and the path shape.

1 - Reverse: The delegate reverses direction at the end of the path. Use this choice to simulate a back-and-forth "patrol" behavior.

2 - Continue: The delegate continues moving in the same direction it faced at the end of the path until the simulation ends or it's acted upon by another force or behavior.

    <path_follow_behavior>.seed Integer Default: 1 -- animatable

Specifies a seed value for randomizing Awareness.

    <path_follow_behavior>.forceColor Color Default: (color 0 0 255)

The color used to draw the Path Follow force vector during the solution.

    <path_follow_behavior>.displayForce Boolean Default: True

When true, force exerted on the delegate(s) by the Path Follow behavior is drawn in the viewports as a vector during the simulation solution.

    <path_follow_behavior>.targetColor Color Default: (color 0 0 127.5)

Sets the color used to draw the target icon.

    <path_follow_behavior>.displayTarget Boolean Default: True

Enables display of the target icon, which appears during the solution when a new interim goal is calculated for the delegate.

    <path_follow_behavior>.targetScale Float Default: 5.0 -- animatable

The overall size of the target icon.

#### See Also

- Crowd : Helper

- MAXWrapper Common Properties, Operators, and Methods

- Value Common Properties, Operators, and Methods

- MAXScript Extensions in character studio